File: changelog

package info (click to toggle)
linux-atm 1:2.5.1-4
  • links: PTS
  • area: main
  • in suites: bullseye, sid
  • size: 7,544 kB
  • sloc: ansic: 36,141; sh: 9,525; yacc: 1,193; lex: 556; makefile: 324; perl: 186; awk: 1
file content (332 lines) | stat: -rw-r--r-- 11,637 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
linux-atm (1:2.5.1-4) unstable; urgency=medium

  * QA upload.
  * Fixup build failures with new kernel and glibc versions.
  * Bump std-version to 4.4.0, no changes required

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Jul 2019 11:14:38 +0200

linux-atm (1:2.5.1-3) unstable; urgency=medium

  * QA upload.
  * Drop obsolete Conflicts and Replaces.
  * Drop obsolete maintainer scripts.
  * Drop debian/compat and use debhelper-compat, bump to compat 12.
  * Move libraries to /usr/lib.
  * Use dh_installsystemd instead of dh_systemd_{enable,start}.
    Drop dh-systemd Build-Depends accordingly.
  * Drop obsolete start priorities from dh_installinit.

 -- Michael Biebl <biebl@debian.org>  Thu, 18 Jul 2019 12:39:59 +0200

linux-atm (1:2.5.1-2) unstable; urgency=medium

  * QA upload.
  * Add Build-Depends: libfl-dev.  (Closes: #846437)
  * Clean up maintainer scripts.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2016 14:15:37 +0100

linux-atm (1:2.5.1-1.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Add atm.service masking the atm init script (Closes: #796628)
  * Build-depend on dh-systemd and use dh_systemd_{enable,start}
    in debian/rules for the above.
  * Source LSB init function in atm init script
    - this it possible for systemd LSB hook to properly redirect
      direct invocations of the init script to systemctl.
  * Add an explicit Depends on lsb-base because of the above.
  * Drop build-dependency on initscripts package. (Closes: #828003)
    - the original intention was likely to have this as a dependency
      rather than build-dependency, but either way should no longer
      be needed so just drop it.
  * Orphan the package (Closes: #813775)
    - there has been no maintainer upload in over a decade and
      p2-mate confirmed he no longer has atm hardware and/or interest.

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 25 Jun 2016 19:01:47 +0200

linux-atm (1:2.5.1-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * Correct directory in libatm1-dev.postinst.
    Correct the directory checked for the directory symlink migration to be
    /usr/share/doc/libatm1-dev for the libatm1-dev binary package. It
    wrongly refered to /usr/share/doc/atm-tools. (Closes: #687857)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Sep 2012 11:03:25 +0200

linux-atm (1:2.5.1-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Make build targets executable in parallel (Closes: #674611).

 -- Luk Claes <luk@debian.org>  Tue, 03 Jul 2012 01:01:15 +0000

linux-atm (1:2.5.1-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Package converted to multiarch.
  * Support sendsigs.omit.d/ in /run and depend on initscripts
    >= 2.88dsf-13.3. (Closes: #633029)
  * Install the changelogs only in libatm1.
  * Removed the K links of the atmarpd initscript, there is no point in
    stopping the daemon.

 -- Marco d'Itri <md@linux.it>  Sun, 30 Oct 2011 15:09:29 +0100

linux-atm (1:2.5.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Also Build-Depend on autoconf, automake, libtool. (Closes: #563306)
  * Prevent sendsigs from killing atmarpd. (Closes: #62144)

 -- Marco d'Itri <md@linux.it>  Sat, 02 Jan 2010 21:59:19 +0100

linux-atm (1:2.5.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream release. (Closes: #463401)
  * Removed the atm-dev dummy package. (Closes: #321826)
  * Fixed typos in some man pages. (Closes: #325072)
  * Autoreconf on build. (Closes: #535736, #549144)
  * Do not restart the init script on upgrades. (Closes: #303069)
  * Build with -fno-strict-aliasing just to be sure.
  * Added a .symbols file for libatm1.
  * Cleaned up debian/rules and updated to modern best practices.
  * Slightly cleaned up the init script.
  * Upgraded debhelper level to 5.
  * Merged back br2684ctl from the standalone source package.
  * Added an epoch to be able to replace the standalone br2684ctl package
    which has version 20040226-1.

 -- Marco d'Itri <md@linux.it>  Thu, 24 Dec 2009 04:01:32 +0100

linux-atm (2.4.1-17.2) unstable; urgency=low

  * Non-maintainer upload to fix RC bug.
  * Add LSB dependency header to init.d scripts (Closes: #468459).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 31 Mar 2008 00:09:30 +0200

linux-atm (2.4.1-17.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patches/20_missing_includes.dpatch to add missing #include
    <linux/types.h> needed with last linux-libc-dev (Closes: #428943).

 -- Pierre Habouzit <madcoder@debian.org>  Thu, 19 Jul 2007 01:40:09 +0200

linux-atm (2.4.1-17) unstable; urgency=low

  * Fix build problem with gcc 4.0 (Closes: )

 -- Peter De Schrijver (p2) <p2@mind.be>  Thu, 17 Mar 2005 23:02:03 +0100

linux-atm (2.4.1-16) unstable; urgency=low

  * Fix build problem with gcc 3.4 (Closes: #259422)

 -- Peter De Schrijver (p2) <p2@mind.be>  Thu, 15 Jul 2004 14:28:10 +0200

linux-atm (2.4.1-15) unstable; urgency=low

  * Updated descriptions (Closes: #239161)

 -- Peter De Schrijver (p2) <p2@mind.be>  Sun,  4 Apr 2004 21:10:20 +0200

linux-atm (2.4.1-14) unstable; urgency=low

  * Fix symlink for /usr/lib/libatm.so (Closes: #221011)

 -- Peter De Schrijver (p2) <p2@mind.be>  Sun,  7 Dec 2003 21:53:19 +0100

linux-atm (2.4.1-13) unstable; urgency=low

  * Previous version fixed #217259, but no changelog entry (Closes: #217259)
  * Previous version fixed #216662, but no changelog entry (Closes: #216662)
  * Added missing build dependency on automake1.4 (Closes: #221120, #221284)
  * New Maintainer (Closes: #206982)

 -- Peter De Schrijver (p2) <p2@mind.be>  Mon, 17 Nov 2003 23:03:58 +0100

linux-atm (2.4.1-12) unstable; urgency=low

  * don't build atm-tools-br2684 by default. Thanks to ftpmaster for
    not allowing the package to be in Debian.
  * Since we don't build atm-tools-br2684 any more, revert back to
    autotools output from 2.4.1-9
  * Add README.br2684 documenting a way to build the package locally.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed,  5 Nov 2003 21:31:42 +0000

linux-atm (2.4.1-11) experimental; urgency=low

  * Build-Depend on dpatch
  * dpatch br2684 header files from later libc for old libc (woody)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 29 Oct 2003 19:05:07 +0000

linux-atm (2.4.1-10) experimental; urgency=low

  * add br2684 to package      		  		 (closes: #216663)
  * autoreconf to actually build br2684
  * have libatm1-dev provide libatm-dev			 (closes: #216662)
  * move lib symlink to libatm1-dev as well 		 (closes: #217259)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 23 Oct 2003 17:55:43 +0000

linux-atm (2.4.1-9) unstable; urgency=low

  * put libatm1-dev in libdevel		 		 (closes: #213170)
  * make sure that new descriptions actually make it into the package

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu,  9 Oct 2003 17:08:10 +0000

linux-atm (2.4.1-8) unstable; urgency=low

  * build arch-indep package as targets of binary-indep  (closes: #212124)
  * use dh_installdocs to install files to libatm1-dev/docs
  * symlink shared lib to usr/bin                        (closes: #213146)
  * Use better long descriptions. Thanks to Javier       (closes: #209427)
    Fernandez-Sanguino		  	    		 (closes: #209612)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 28 Sep 2003 19:29:08 +0000

linux-atm (2.4.1-7) unstable; urgency=low

  * libatm1 now conflicts with atm-tools (<< 2.4.1-6) (closes: #208170)
  * armarp now writes output to stdout.
  * add atm-dev as empty transitional package to help upgrades

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue,  2 Sep 2003 09:20:33 +0000

linux-atm (2.4.1-6) unstable; urgency=low

  * split off shared libraries to libatm1
  * rename atm-dev to libatm1-dev
  * Standards-Version: 3.6.1

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 26 Aug 2003 15:46:27 +0000

linux-atm (2.4.1-5) unstable; urgency=low

  * move *.a and *.la to usr/lib (closes: #199506).
  * let atm-dev depend on atm-tools to avoid dangling /lib/libatm.so
    symlink.
  * Standards-Version: 3.5.6

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 30 Jul 2003 11:46:19 +0000

linux-atm (2.4.1-4) unstable; urgency=low

  * add Build-Depends: on automake1.4

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 11 Jun 2003 16:58:21 +0000

linux-atm (2.4.1-3) unstable; urgency=low

  * rebuilding libtool broke src/test/Makefile.in. Applied fix to
    Makefile.am and re-built again.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 11 Jun 2003 11:05:26 +0000

linux-atm (2.4.1-2) unstable; urgency=low

  * rebuild configure script with new libtool (closes: #196909)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 10 Jun 2003 21:01:50 +0000

linux-atm (2.4.1-1) unstable; urgency=low

  * new upstream source
  * remove atmarp and atmarpd from /usr/sbin as they are already in
    /sbin (closes: #196216)
  * lintian fixes

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon,  9 Jun 2003 16:03:45 +0000

linux-atm (2.4.0-5) unstable; urgency=low

  * Fix for src/test/Makefile.in to allow building on hppa and ia64
    which the fix introduced to 2.4.0-4 broke. Thanks to Goswin
    Brederlow.
  * Move init.d priority to that atmarpd is started before network
    interfaces are started.
  * Move atmarpd and libatm to /sbin and /lib to allow atmarpd to be
    started before /usr is mounted.
  * use dh_install instead of dh_movefiles.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 24 Aug 2002 15:13:48 +0000

linux-atm (2.4.0-4) unstable; urgency=low

  * new maintainer
  * Fix for src/test/Makefile.in to allow building on sparc.
    Thanks to Patrick Mauritz. (closes: #144225).
  * added pseudo-manpage for manpage-less binaries.
  * removed rpath by changing configure and make install paramaters

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 16 Aug 2002 20:39:05 +0000

linux-atm (2.4.0-3) unstable; urgency=HIGH

  * Re-ran libtoolize.
    Closes: #143522

  * Previous version Closes: #135328

 -- Russell Coker <russell@coker.com.au>  Fri, 19 Apr 2002 01:55:00 +0200

linux-atm (2.4.0-2) unstable; urgency=HIGH

  * Put a "grep -v EMAXERRNO" into the build process to deal with mipsel and
    the "#ifdef __KERNEL__" it has in it's /usr/include/asm/errno.h .

 -- Russell Coker <russell@coker.com.au>  Thu, 18 Apr 2002 19:56:00 +0200

linux-atm (2.4.0-1) unstable; urgency=HIGH

  * New upstream version which changes source package name.
    Closes: #138911

 -- Russell Coker <russell@coker.com.au>  Mon, 18 Mar 2002 17:42:00 +0100

atm (0.79-4) unstable; urgency=low

  * Added build-depends on flex.
    Closes: #111072

  * Made the atm tools use a shared object to save space.

  * Fixed the copyright file and put all copyright details in both packages.

  * Added support for easy building with different kernel headers.
    Closes: #110249

 -- Russell Coker <russell@coker.com.au>  Sun,  7 Oct 2001 14:11:33 +0200

atm (0.79-3) unstable; urgency=low

  * Created /etc/init.d/atm to start and stop atmarpd.
    Closes: #110252

  * Added build-depends on bison.
    Closes: #110576

 -- Russell Coker <russell@coker.com.au>  Fri, 31 Aug 2001 15:21:44 +0200

atm (0.79-2) unstable; urgency=low

  * Changed the main package name to atm-tools to indicate that it doesn't
    provide ATM (gotta have the kernel support), it just has the daemons and
    utilities.

 -- Russell Coker <russell@coker.com.au>  Sat, 25 Aug 2001 17:55:00 +0200

atm (0.79-1) unstable; urgency=low

  * Initial Release.

 -- Russell Coker <russell@coker.com.au>  Fri, 24 Aug 2001 17:31:00 +0200